pcmanfm crashes on right click

Bug #617655 reported by intialonso on 2010-08-13
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
libfm (Ubuntu)
Undecided
Unassigned
pcmanfm (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pcmanfm

Right cick on any place, on the desktop or any pcmanfm windows, makes ocmanfm to crash with:

pcmanfm[1171]: segfault at 1 ip 00bd859b sp bfc189bc error 4 in libc-2.12.so[abc000+157000]

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: pcmanfm 0.9.7-1
ProcVersionSignature: Ubuntu 2.6.35-14.20-generic 2.6.35
Uname: Linux 2.6.35-14-generic i686
Architecture: i386
Date: Fri Aug 13 18:32:07 2010
InstallationMedia: Lubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100806)
ProcEnviron:
 LANG=es_CO.UTF-8
 SHELL=/bin/bash
SourcePackage: pcmanfm

intialonso (intialonso) wrote :
Kenny Meyer (knny-myer) on 2010-08-15
Changed in pcmanfm (Ubuntu):
status: New → Confirmed
Julien Lavergne (gilir) wrote :

Thanks for your bug report. Could you send the version of libfm0 and libfm-gtk0 packages ? If it's the 0.13~
, please downgrade to 0.12 and report back if you have still the problem ?

Julien Lavergne (gilir) on 2010-08-16
Changed in libfm (Ubuntu):
status: New → Incomplete
Julien Lavergne (gilir) on 2010-08-16
Changed in pcmanfm (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libfm - 0.1.14-2ubuntu1

---------------
libfm (0.1.14-2ubuntu1) natty; urgency=low

  * Sync with Debian unstable.
   - Fix crash on right click (LP: #617655)
  * Ubuntu remaining changes:
   - debian/patches/90_add_gobject_link.patch:
    + From upstream, add "gobject-2.0" in configure.ac explicitly.
   - debian/patches/03_disable_deprecated_gio_module.patch:
    + Disable -DG_DISABLE_DEPRECATED for the gio module to build with glib
      2.27+.
   - debian/control:
    + Add Replaces/Conflicts for libfm0 and libfm-gtk0 (<= 0.1.11-1) to ensure
      migration from lucid.
    + Build-depends on dh-autoreconf.
   - debian/rules:
    + Use dh --with autoreconf.
 -- Julien Lavergne <email address hidden> Thu, 02 Dec 2010 00:20:44 +0100

Changed in libfm (Ubuntu):
status: Incomplete → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pcmanfm - 0.9.8-1

---------------
pcmanfm (0.9.8-1) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/rules:
   - Use libfm apport hook only on Ubuntu.
   - Use directly dh_auto_configure instead of configure.
  * debian/control:
   - Build-depends on lsb-release, needed to detect the distribution.
   - Wrap depends and build-depends.
   - Build-depends on libfm-dev (0.1.14).
  * debian/patches/01-libfm-0.1.14-API-changes.patch:
   - Migrate from fm_path_new to fm_path_new_for_str to follow libfm API change
     (Closes: #600391)
  * debian/patches/90-enable-fake-transparency.patch
   - From upstream, fix fake transparency (LP: #566056)

  [ Andrew Lee (李健秋) ]
  * Imported Upstream version 0.9.8
   - Desktop icons are now movable (Closes: #535814) (LP: #644259)
   - Broken Dnd from folder view to desktop (Closes: #534928)
   - Fix crash with // in the address bar (Closes: #586368)
   - Fix crash on right click (LP: #617655)
   - Translation updates (LP: #565496)
  * Bumped Standard-version to 3.9.1
  * Drop 01_binary_rename.patch
  * Drop libtool-fix.patch
  * delete debian/patches/series
 -- Julien Lavergne <email address hidden> Wed, 24 Nov 2010 22:51:44 +0800

Changed in pcmanfm (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.